Github messages for voidlinux
 help / color / mirror / Atom feed
* [ISSUE] orientdb has moved to different hosting and doesn't provide the old version anymore
@ 2021-04-06 12:42 ericonr
  2021-04-28 16:03 ` digitalagedragon
                   ` (6 more replies)
  0 siblings, 7 replies; 8+ messages in thread
From: ericonr @ 2021-04-06 12:42 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 309 bytes --]

New issue by ericonr on void-packages repository

https://github.com/void-linux/void-packages/issues/30041

Description:
https://www.orientdb.com points at https://orientdb.org , but I can't find the version of the package we use (2.2.29). Would suggest either updating or removing the package.

@bougyman 

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: orientdb has moved to different hosting and doesn't provide the old version anymore
  2021-04-06 12:42 [ISSUE] orientdb has moved to different hosting and doesn't provide the old version anymore ericonr
@ 2021-04-28 16:03 ` digitalagedragon
  2021-04-28 17:22 ` digitalagedragon
                   ` (5 subsequent siblings)
  6 siblings, 0 replies; 8+ messages in thread
From: digitalagedragon @ 2021-04-28 16:03 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 390 bytes --]

New comment by digitalagedragon on void-packages repository

https://github.com/void-linux/void-packages/issues/30041#issuecomment-828576487

Comment:
Looks like they have [a GH repo](https://github.com/orientechnologies/orientdb) that does contain tags for historical releases. 2.2.29 is on there, but it's also a major release and 3 years old by now so it probably makes sense to update.

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: orientdb has moved to different hosting and doesn't provide the old version anymore
  2021-04-06 12:42 [ISSUE] orientdb has moved to different hosting and doesn't provide the old version anymore ericonr
  2021-04-28 16:03 ` digitalagedragon
@ 2021-04-28 17:22 ` digitalagedragon
  2021-04-28 17:37 ` ericonr
                   ` (4 subsequent siblings)
  6 siblings, 0 replies; 8+ messages in thread
From: digitalagedragon @ 2021-04-28 17:22 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 481 bytes --]

New comment by digitalagedragon on void-packages repository

https://github.com/void-linux/void-packages/issues/30041#issuecomment-828635753

Comment:
https://github.com/digitalagedragon/void-packages/commit/22c7d3f972a7400711c72c3f9423077d878dc7c3 would get it on 3.1.11, which does appear to work (to the level of "you can start the server up and screw around with the demo database," at least.)

The only question I'd have is whether going from 2.x to 3.x would be a problem.

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: orientdb has moved to different hosting and doesn't provide the old version anymore
  2021-04-06 12:42 [ISSUE] orientdb has moved to different hosting and doesn't provide the old version anymore ericonr
  2021-04-28 16:03 ` digitalagedragon
  2021-04-28 17:22 ` digitalagedragon
@ 2021-04-28 17:37 ` ericonr
  2021-04-28 17:51 ` digitalagedragon
                   ` (3 subsequent siblings)
  6 siblings, 0 replies; 8+ messages in thread
From: ericonr @ 2021-04-28 17:37 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 470 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/issues/30041#issuecomment-828645605

Comment:
Maybe they have a porting document we could use? Does the service also work with that version?

I think people using this should be relatively aware of their stuff, so an update would be noticed anyway, and they'd probably know where to look for such info anyway, so if you can't find it I still think it's worth the update. 

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: orientdb has moved to different hosting and doesn't provide the old version anymore
  2021-04-06 12:42 [ISSUE] orientdb has moved to different hosting and doesn't provide the old version anymore ericonr
                   ` (2 preceding siblings ...)
  2021-04-28 17:37 ` ericonr
@ 2021-04-28 17:51 ` digitalagedragon
  2021-04-28 21:06 ` ericonr
                   ` (2 subsequent siblings)
  6 siblings, 0 replies; 8+ messages in thread
From: digitalagedragon @ 2021-04-28 17:51 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 477 bytes --]

New comment by digitalagedragon on void-packages repository

https://github.com/void-linux/void-packages/issues/30041#issuecomment-828655807

Comment:
http://orientdb.com/docs/3.0.x/release/3.0/Upgrading-to-OrientDB-3.0.html says 3.x is pretty backwards-compatible at least.

Per http://orientdb.com/docs/3.0.x/release/Upgrade.html, though, it sounds like they consider moving an existing installation from 2.x to 3.x to require some degree of manual intervention? Not sure.

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: orientdb has moved to different hosting and doesn't provide the old version anymore
  2021-04-06 12:42 [ISSUE] orientdb has moved to different hosting and doesn't provide the old version anymore ericonr
                   ` (3 preceding siblings ...)
  2021-04-28 17:51 ` digitalagedragon
@ 2021-04-28 21:06 ` ericonr
  2021-04-28 21:06 ` ericonr
  2021-05-04  3:05 ` [ISSUE] [CLOSED] " ericonr
  6 siblings, 0 replies; 8+ messages in thread
From: ericonr @ 2021-04-28 21:06 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 306 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/issues/30041#issuecomment-828780349

Comment:
I think these are all natural evolutions of the language, and not something that needs to be mentioned in an `INSTALL.msg`. So I'd go ahead with the simple update.

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: orientdb has moved to different hosting and doesn't provide the old version anymore
  2021-04-06 12:42 [ISSUE] orientdb has moved to different hosting and doesn't provide the old version anymore ericonr
                   ` (4 preceding siblings ...)
  2021-04-28 21:06 ` ericonr
@ 2021-04-28 21:06 ` ericonr
  2021-05-04  3:05 ` [ISSUE] [CLOSED] " ericonr
  6 siblings, 0 replies; 8+ messages in thread
From: ericonr @ 2021-04-28 21:06 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 305 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/issues/30041#issuecomment-828780349

Comment:
I think these are all natural evolutions of the package, and not something that needs to be mentioned in an `INSTALL.msg`. So I'd go ahead with the simple update.

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: [ISSUE] [CLOSED] orientdb has moved to different hosting and doesn't provide the old version anymore
  2021-04-06 12:42 [ISSUE] orientdb has moved to different hosting and doesn't provide the old version anymore ericonr
                   ` (5 preceding siblings ...)
  2021-04-28 21:06 ` ericonr
@ 2021-05-04  3:05 ` ericonr
  6 siblings, 0 replies; 8+ messages in thread
From: ericonr @ 2021-05-04  3:05 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 312 bytes --]

Closed issue by ericonr on void-packages repository

https://github.com/void-linux/void-packages/issues/30041

Description:
https://www.orientdb.com points at https://orientdb.org , but I can't find the version of the package we use (2.2.29). Would suggest either updating or removing the package.

@bougyman 

^ permalink raw reply	[flat|nested] 8+ messages in thread

end of thread, other threads:[~2021-05-04  3:05 UTC | newest]

Thread overview: 8+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-04-06 12:42 [ISSUE] orientdb has moved to different hosting and doesn't provide the old version anymore ericonr
2021-04-28 16:03 ` digitalagedragon
2021-04-28 17:22 ` digitalagedragon
2021-04-28 17:37 ` ericonr
2021-04-28 17:51 ` digitalagedragon
2021-04-28 21:06 ` ericonr
2021-04-28 21:06 ` ericonr
2021-05-04  3:05 ` [ISSUE] [CLOSED] " ericonr

Github messages for voidlinux

This inbox may be cloned and mirrored by anyone:

	git clone --mirror http://inbox.vuxu.org/voidlinux-github

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V1 voidlinux-github voidlinux-github/ http://inbox.vuxu.org/voidlinux-github \
		voidlinux-github@inbox.vuxu.org
	public-inbox-index voidlinux-github

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git